sonar
Device proxies

The sonar proxy provides an interface to the sonar range sensors built into robots such as the ActiveMedia Pioneer series. More...

## Classes

struct | playerc_sonar_t
| Sonar proxy data. More...

## Functions

PLAYERC_EXPORT playerc_sonar_t * | playerc_sonar_create (playerc_client_t *client, int index)
| Create a sonar proxy. More...
PLAYERC_EXPORT void | playerc_sonar_destroy (playerc_sonar_t *device)
| Destroy a sonar proxy. More...
PLAYERC_EXPORT int | playerc_sonar_subscribe (playerc_sonar_t *device, int access)
| Subscribe to the sonar device. More...
PLAYERC_EXPORT int | playerc_sonar_unsubscribe (playerc_sonar_t *device)
| Un-subscribe from the sonar device. More...
PLAYERC_EXPORT int | playerc_sonar_get_geom (playerc_sonar_t *device)
| Get the sonar geometry. More...

## Detailed Description

The sonar proxy provides an interface to the sonar range sensors built into robots such as the ActiveMedia Pioneer series.

## Function Documentation

PLAYERC_EXPORT playerc_sonar_t* playerc_sonar_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a sonar proxy.

PLAYERC_EXPORT void playerc_sonar_destroy | ( | playerc_sonar_t * | device | ) |

Destroy a sonar proxy.

PLAYERC_EXPORT int playerc_sonar_get_geom | ( | playerc_sonar_t * | device | ) |

Get the sonar geometry.

This writes the result into the proxy rather than returning it to the caller.

PLAYERC_EXPORT int playerc_sonar_subscribe | ( | playerc_sonar_t * | device,
|  | int | access
| ) |  |

Subscribe to the sonar device.

PLAYERC_EXPORT int playerc_sonar_unsubscribe | ( | playerc_sonar_t * | device | ) |

Un-subscribe from the sonar device.

Last updated 12 September 2005 21:38:45